Bug 274321 - Plot objects ignore default fill
Summary: Plot objects ignore default fill
Status: RESOLVED FIXED
Alias: None
Product: kst
Classification: Unclassified
Component: view objects (show other bugs)
Version: 2.0.4
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: 2.0.4
Assignee: kst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-28 03:33 UTC by D. V. Wiebe
Modified: 2011-06-28 21:07 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D. V. Wiebe 2011-05-28 03:33:52 UTC
Plot objects (and perhaps other view objects?) don't respect the default fill set in the Kst Settings dialog box, but always end up being solid black on solid white.  (Using SVN r1233845).

Steps to reproduce:
1. Settings -> Configure kst
2. Under "Default Fill Properties" change Color to, say, a rather urghsome shade of green.
3. OK.
4. Create -> Plot

Result:
  A black plot on a white background is produced.

Expected result:
  A black plot on a rather-urghsome-shade-of-green background is produced.
Comment 1 Netterfield 2011-06-08 14:49:43 UTC
This is not formally a bug, but more... unclear UI.

The settings default fill properties currently only apply to the background of tabs and not anything else.  So If you had created a new tab, the background would have been a rather-urghsome-shade-of-green.

To set the defaults on plots, there is a check-box in the plot dialog 
[ ] Save as default.  

Applying after setting this will set all of the plot settings, including lines and backgrounds, to the new setting.  This does work.

There are 2+1 options as I see it:
1) Keep the current functionality, but change the text in the dialog to be more clear
2)Change the functionality so the settings dialog also changes the settings for view-tiems
1+2) optionally option 2, with a checkbox "Apply to plots etc [ ]"

Thoughts?
Comment 2 Netterfield 2011-06-08 15:24:05 UTC
Ok... here is what I propose:

i) fix the current tab to say "page background settings" and remove reference to fonts, etc

ii) add a dialog or page which is "globally set defaults" and put in it background, stroke, fonts, etc.  This will re-set all of the relevant defaults, which can then be re-reset individually in each of the view item dialogs, as now.

iii) add saving things (like label font color) which are not currently saved
Comment 3 D. V. Wiebe 2011-06-08 23:26:57 UTC
Ahhhh.... I totally overlooked that "Save as default".  That seems
to do what I want.

> i) fix the current tab to say "page background settings" and remove reference
> to fonts, etc

Good.

> ii) add a dialog or page which is "globally set defaults" and put in it
> background, stroke, fonts, etc.  This will re-set all of the relevant defaults,
> which can then be re-reset individually in each of the view item dialogs, as
> now.

You mean it would set, say, the default fill of any type of object to, say,
red?  That could work, I guess.

What I'd like to see, in the interest of full disclosure if nothing
else, is a central location where *all* the default object properties
which kst saves for *anything* are shown and can be modified, without having
to do it by proxy with an existing object first and then "save as default".
To wit, a dialog box with panels called:

+ Default Plot Fill
+ Default Plot Stroke
+ Default Legend Fill
&c.

> iii) add saving things (like label font color) which are not currently saved

Sure.
Comment 4 Netterfield 2011-06-16 18:51:36 UTC
SVN commit 1237013 by netterfield:

CCBUG: 274323 
CCBUG: 274321
All view objects for which fill and stroke mean anything can now save their default fill and stroke.
View objects for which these things don't make sense (eg, fill for lines) no longer have the tab in their
dialogs.



 M  +2 -0      arrowitem.cpp  
 M  +6 -0      arrowitem.h  
 M  +2 -0      boxitem.cpp  
 M  +6 -0      boxitem.h  
 M  +1 -0      cartesianrenderitem.h  
 M  +2 -0      circleitem.cpp  
 M  +6 -0      circleitem.h  
 M  +2 -0      ellipseitem.cpp  
 M  +6 -0      ellipseitem.h  
 M  +6 -6      labelitem.cpp  
 M  +6 -0      labelitem.h  
 M  +2 -0      layoutboxitem.h  
 M  +22 -50    legenditem.cpp  
 M  +6 -0      legenditem.h  
 M  +1 -0      lineitem.cpp  
 M  +6 -0      lineitem.h  
 M  +6 -0      pictureitem.h  
 M  +79 -139   plotitem.cpp  
 M  +6 -0      plotitem.h  
 M  +1 -0      sharedaxisboxitem.h  
 M  +6 -0      svgitem.h  
 M  +78 -0     viewitem.cpp  
 M  +12 -0     viewitem.h  
 M  +33 -5     viewitemdialog.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1237013
Comment 5 Netterfield 2011-06-17 18:28:25 UTC
SVN commit 1237296 by netterfield:

Make more of the settings code make sense.
Remove some dead things from the settings dialog.
Fix bug where entering and leaving a view item with a draw tool selected aborted the ability to draw.
CCBUG: 274321



 M  +0 -40     applicationsettings.cpp  
 M  +0 -13     applicationsettings.h  
 M  +4 -9      applicationsettingsdialog.cpp  
 M  +2 -2      arrowitem.cpp  
 M  +0 -2      datawizard.cpp  
 M  +0 -34     defaultlabelpropertiestab.cpp  
 M  +0 -9      defaultlabelpropertiestab.h  
 M  +8 -79     defaultlabelpropertiestab.ui  
 M  +1 -1      labelitem.cpp  
 M  +1 -1      legenditem.cpp  
 M  +1 -1      lineitem.cpp  
 M  +9 -12     plotitem.cpp  
 M  +7 -25     view.cpp  
 M  +1 -3      view.h  
 M  +2 -4      viewitem.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1237296
Comment 6 Nicolas Brisset 2011-06-28 21:07:54 UTC
Fixed by Barth in commit 1238324. For some reason the post-commit hook did not work...